<%@ Page Language="C#" AutoEventWireup="true" debug="true" Inherits="WinLibClass.Form.Admin.Work.User.UI_Update"  CodePage="65001" %>


<script type="text/javascript"> 

$(document).ready(function(){
/*
	$.formValidator.initConfig({
		formid:"form_add",
		validatorgroup:"4",
		autotip:true
	});

//////////////////////////////////////////////////
/////用户修改密码
//////////////////////////////////////////////////
	$("#UserPass").formValidator({
		validatorgroup:"4",
		empty:false,
		tipid:'notetip',
		onshow:"请输入密码",
		onfocus:"密码不能为空",
		oncorrect:"密码合法"
	}).inputValidator({
		min:6,
		empty:{leftempty:false,rightempty:false,emptyerror:"两边不能有空格"},
		onerror:"密码最少6位"
	});

	$("#UserPassRepeat").formValidator({
		validatorgroup:"4",
		empty:false,
		tipid:'notetip',
		onshow:"请输入重复密码",
		onfocus:"两次密码必须一致哦",
		oncorrect:"密码一致"
	}).inputValidator({
		min:6,
		empty:{leftempty:false,rightempty:false,emptyerror:"两边不能有空格"},
		onerror:"密码最少6位"
	}).compareValidator({
		desid:"UserPassword",
		operateor:"=",
		onerror:"2次密码不一致"
	});


	$("#edit_pass").click();
*/

});

function SaveSub(){

		var pass=true;
		
		if(pass){

			var queryString = $('#form_add').serialize();

			$.post("User_Update.aspx?IsAdd=22", queryString,function(msg)
			{
				if(msg=='1')
				{ //先保留msg这个值以备以后使用
					Alert('修改密码成功!',1);
					//Common.Refresh();
				}
				else
				{
					msg = "密码修改失败,代码("+ msg +").";
					AlertErr(msg);
				}
			});
		}
	}

</script> 

<div style="height:auto;border:0px solid #FF0000;display:inline-block;width:300px;">
	<form id="form_add">
<div class="TableUpdateDiv"  style="width:92%;">
<div style="width:99%;">
	<table class="TableUpdate" style="text-align:left;">
	<tr>
	<td >
		<input id="ID" name="ID" type="hidden"  value="<%=DataInfo.ID%>" />
		<SPAN CLASS="FL" >邮　　箱:</SPAN>
		<span CLASS="FL"  style="background-color:#DDD;border:1px solid #DDD;width:200px;display:block;text-align:left;"><%=DataInfo.UserEmail%> &nbsp; </span>
	</td>
	</tr>
	<tr>
	<td >
		<SPAN CLASS="FL" >昵　　称:</SPAN>
		<span CLASS="FL" style="background-color:#DDD;border:1px solid #DDD;width:200px;display:block;text-align:left;"><%=DataInfo.UserNickName%></span>
	</td>
	</tr>
	<tr>
	<td >
		<SPAN CLASS="FL" >密　　码:</SPAN>
		<input id="UserPassword" name="UserPassword" type="password" class="input" maxlength="50" style="width:200px;" value="" />
	</td>
	</tr>
	
	<tr>

	<td >
		<SPAN CLASS="FL" >确认密码:</SPAN>
		<input id="UserPassRepeat" name="UserPassRepeat" type="password" class="input" maxlength="50" style="width:200px;" value="" />
	</td>
	</tr>
	

	</table>
		</div>
</div>	
		
	</form>
	
</div>
